import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '创建日期',
    align:"center",
    sorter: true,
    dataIndex: 'createTime'
   },
   {
    title: '联系人',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '地址详情',
    align:"center",
    dataIndex: 'addressDetail'
   },
   {
    title: '默认',
    align:"center",
    dataIndex: 'defaultId'
   },
   {
    title: '用户标识',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '经度',
    align:"center",
    dataIndex: 'latitude'
   },
   {
    title: '纬度',
    align:"center",
    dataIndex: 'longitude'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "用户标识",
      field: "userId",
      component: 'JSearchSelect',
      componentProps:{
         dict:"han_hai_member,nick_name,id"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '联系人',
    field: 'name',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '地址详情',
    field: 'addressDetail',
    component: 'Input',
  },
  {
    label: '默认',
    field: 'defaultId',
    component: 'Input',
  },
  {
    label: '用户标识',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
  {
    label: '经度',
    field: 'latitude',
    component: 'Input',
  },
  {
    label: '纬度',
    field: 'longitude',
    component: 'Input',
  },
];
