import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '技师',
    align:"center",
    dataIndex: 'tenId_dictText'
   },
   {
    title: '项目',
    align:"center",
    dataIndex: 'shopId_dictText'
   },
   {
    title: '是否开启',
    align:"center",
    dataIndex: 'isDelete',
    customRender:({text}) => {
       return  render.renderSwitch(text, [{text:'是',value:'Y'},{text:'否',value:'N'}])
     },
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '技师',
    field: 'tenId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"msg_technician,title,id"
    },
  },
  {
    label: '项目',
    field: 'shopId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"msg_shop,title,id"
    },
  },
  {
    label: '是否开启',
    field: 'isDelete',
     component: 'JSwitch',
     componentProps:{
     },
  },
];
