import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '流水标题内容',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '金额',
    align:"center",
    dataIndex: 'money'
   },
   {
    title: '类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'state'
   },
   {
    title: '开户行',
    align:"center",
    dataIndex: 'bank'
   },
   {
    title: '卡号',
    align:"center",
    dataIndex: 'card'
   },
   {
    title: '手机号码',
    align:"center",
    dataIndex: 'phone'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "用户",
      field: "userId",
      component: 'JSearchSelect',
      componentProps:{
         dict:"han_hai_member,nick_name,id"
      },
      colProps: {span: 6},
 	},
	{
      label: "类型",
      field: "type",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"water_type"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
  {
    label: '流水标题内容',
    field: 'title',
    component: 'Input',
  },
  {
    label: '金额',
    field: 'money',
    component: 'InputNumber',
  },
  {
    label: '类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"water_type"
     },
  },
  {
    label: '状态',
    field: 'state',
    component: 'InputNumber',
  },
  {
    label: '开户行',
    field: 'bank',
    component: 'Input',
  },
  {
    label: '卡号',
    field: 'card',
    component: 'Input',
  },
  {
    label: '手机号码',
    field: 'phone',
    component: 'Input',
  },
];
