package org.jeecg.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class CommentBean {


    @ApiModelProperty(value = "技师标识" )
    private String tenantId;
    @ApiModelProperty(value = "项目标识" )
    private String projectId;
    @ApiModelProperty(value = "评价类型0用户评价1技师评价" )
    private Integer type;
    @ApiModelProperty(value = "评论区分" )
    private Integer fraction;

    /**显示条数*/
    @ApiModelProperty(value = "显示条数" )
    private Integer pageSize;
    /**当前页*/
    @ApiModelProperty(value = "当前页" )
    private Integer pageNo;

    public CommentBean() {
        this.pageNo = 1;
        this.pageSize = 1000;
    }
}
