package org.jeecg.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProjectBean {

    @ApiModelProperty(value = "项目标识" )
    private String title;
    /**显示条数*/
    @ApiModelProperty(value = "显示条数" )
    private Integer pageSize;
    /**当前页*/
    @ApiModelProperty(value = "当前页" )
    private Integer pageNo;

    public ProjectBean() {
        this.pageNo = 1;
        this.pageSize = 1000;
    }
}
