package org.jeecg.modules.postBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WithdrawalBean {

    @ApiModelProperty(value = "金额" )
    private BigDecimal price;

    @ApiModelProperty(value = "类型 0充值 1提现" )
    private Integer type;

    @ApiModelProperty(value = "电话" )
    private String phone;


    @ApiModelProperty(value = "关联套餐标识" )
    private String id;

    //开户行
    @ApiModelProperty(value = "开户行" )
    private String bank;

    //卡号
    @ApiModelProperty(value = "卡号" )
    private String card;



}
